'----------------------------------------------------------
' 
' GRIPLINK Integration for EPSON
' (c) Weiss Robotics GmbH & Co KG 2020
'
' GRIPLINK configuration settings. These values can be
' adjusted according to your specific project.
'
' Author: S. Wolfer <wolfer@weiss-robotics.com>
' Date: 2020-04-03
'
'----------------------------------------------------------

'----------------------------------------------------------
' Defines 
'----------------------------------------------------------

'
' Debug level: DL_INFO, DL_WARNING or DL_ERROR
'
#define GRIPLINK_DEBUG_LEVEL DL_ERROR

'
' ID of sync lock for debug output. Range is from 0 to 63.
'
#define GRIPLINK_DEBUG_SYNC_LOCK 63

'
' ID of debug timer. Range is from 0 to 63.
'
#define GRIPLINK_DEBUG_TIMER_ID 63

'
' GRIPLINK error code
'
#define GRIPLINK_CONNECTION_ERROR 8100
#define GRIPLINK_COMMAND_ERROR 8101
#define GRIPLINK_DEVICE_ERROR 8102
#define GRIPLINK_PARAM_ERROR 8103
#define GRIPLINK_TIMEOUT_ERROR 8104

'
' GRIPLINK timeout values
'
#define GRIPLINK_GRIP_TIMEOUT_TICKS 15000
#define GRIPLINK_RELEASE_TIMEOUT_TICKS 15000

